Subject: RE: [xwiki-users] Issue with HTML comment.
From: Jean-Lou Dupont <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 1 Sep 2006 13:03:04 +0000

Good point.  But what confused me a bit is the fact I had put <!-- comment
here --> inside a form definition in the same document without any problems.

E.g. the example below works fine as far as I can tell.

<div class="left" style="width: 150px">
#includeTopic("XWiki.XWikiCommonJavascript")
<form action="" id="newdoc">
<input type="hidden" name="parent" value="Artifact.Home" />
<input type="hidden" name="template" value="Artifact.Template" />
<input type="hidden" name="sheet" value="1" />
Space to create: <input type="text" name="webname" value=""/>
<input type="hidden" name="name" value=""/>

<!-- TODO: update page name. The document name must be automatically filled
in e.g. space.home -->

<input type="text" name="title" value="page name" size="18"/>

<input type="button" value="Create this Space" onclick='if
(updateName(this.form.title,this.form.name)){ action="../../inline/" +
this.form.webname.value + "/" + this.form.name.value; this.form.submit(); }'
/>
</form>
</div>

Jld.

-----Original Message-----
From: Arnaud Bourree [HYPERLINK
"mailto:[email-masked]"mailto:[email-masked]]
Sent: September 1, 2006 04:34
To: [email-masked]
Subject: Re: [xwiki-users] Issue with HTML comment.

Don't forget to escape Wiki or velocity special character:
example: if you want to explain in a page how to use velocity macro
(whatever you put it in a {code} section, you should write something like:
\#myMacro(\$myVariable, "some text")

For HTML comment you should write:
<!\-\- my html comment \-\->

Robinson Nathaniel wrote on 01/09/2006 06:57:
> Does the comment have to be sent to the browser?
>
> Velocity has comments (## comments a single line and #* *# comments a
> block), but the text will only be visible when viewing or editing the
> code and won't be sent to the browser.
>
> -----Original Message-----
> From: [email-masked] [HYPERLINK
"mailto:[email-masked]"mailto:[email-masked]]
> Sent: Friday, September 01, 2006 5:23 AM
> To: [email-masked]
> Subject: Re: [xwiki-users] Issue with HTML comment.
>
> '--' is used in Wiki syntax for other things, I was wondering how to
> add HTML comments also.
>
>  -------------- Original message ----------------------
> From: Jean-Lou Dupont <[email-masked]>
>  
>> FYI:
>> If one is to insert an HTML comment at the end of a document and save
>> it, the rendered document is completely garbled.
>> 
>> e.g.
>> 
>> <input type="text" name="title" value="page name" size="18"/> <input
>> type="button" value="Create this Space" onclick='if
>> (updateName(this.form.title,this.form.name)){ action="../../inline/"
>> + this.form.webname.value + "/" + this.form.name.value;
>> this.form.submit();
>>    
> }'
>  
> 31/08/2006
>  
>> 
>>    
>
>
>
>
>
>  
> ----------------------------------------------------------------------
> --
>
>
> --
> You receive this message as a subscriber of the [email-masked]
mailing list.
> To unsubscribe: HYPERLINK
"mailto:[email-masked]"mailto:xwiki-users-unsubscribe
@objectweb.org
> For general help: HYPERLINK
"mailto:[email-masked]?subject=help"mailto:[email-masked]?subject=
help
> ObjectWeb mailing lists service home page:
> HYPERLINK "http://www.objectweb.org/wws"http://www.objectweb.org/wws
>  
--

Reclaim Your Inbox! HYPERLINK
"http://www.mozilla.org/products/thunderbird"http://www.mozilla.org/products
/thunderbird

--
No virus found in this incoming message.
Checked by AVG Free Edition.
Version: 7.1.405 / Virus Database: 268.11.7/435 - Release Date: 31/08/2006

-- 
No virus found in this outgoing message.
Checked by AVG Free Edition.
Version: 7.1.405 / Virus Database: 268.11.7/435 - Release Date: 31/08/2006

--
You receive this message as a subscriber of the [email-masked] mailing list.
To unsubscribe: mailto:[email-masked]
For general help: mailto:[email-masked]?subject=help
ObjectWeb mailing lists service home page: http://www.objectweb.org/wws